    function xt = burgers_pde(t,x)
% The MatMol Group (2009)...
%... set global variables
     global mu;
     global z0 zL n D1 D2;
%...
%... boundary conditions at z = 0
     x(1) = burgers_exact(z0,t);
%...
%... boundary conditions at z = zL
     x(n) = burgers_exact(zL,t);
%...
%... second-order spatial derivative - stagewise differentiation
%...    
     xz = D2*x;
     xzz = D2*xz;
%...
%... first-order spatial derivative
     fz = D1*(0.5*x.^2);
%...
%... temporal derivatives
%...
     xt = -fz + mu*xzz;
     xt(1) = 0;
     xt(n) = 0;
