    function zt = burgers_pde_FEM(t,z)

% The MatMol Group (2009)...
%... set global variables
     global mu
     global x0 xL n Lapl_op Grad_op BM inv_MM G
%...
%... boundary conditions at z = 0
     zin    = burgers_exact(x0,t);
     G(1)   = BM(1,1)*(z(1) - zin);
%...
%... boundary conditions at z = zL
     zout   = burgers_exact(xL,t);
     G(n)   = BM(n,n)*(z(n) - zout);
     GG     = -inv_MM*G;

%...
%... second-order spatial derivative
%...    
     zxx    = Lapl_op*z;
     
%...
%... first-order spatial derivative
     fx     = Grad_op*(0.5*z.^2);
%...
%... temporal derivatives
%...
     zt =  - fx + mu*zxx + GG;