function dz = ode_ex2(t, z, Sp_oper, G, inv_MM, v)

% The MatMol Group (2009)...

% Boundary conditions
zin     = 100*sin(7*t) + 50;    % Inlet concentration
G(1)	= v*zin;                % Boundary condition in the first point
GG      = inv_MM*G;             % Multiplication by the inverse of the mass matrix

% Nonlinear term
f = z - z.^3;		% Note that this term is not multiplied by inv_MM

% ODE construction
dz	= Sp_oper*z + f + GG;

