    function mt = burgers_pde_POD(t,m)

%... The MatMol Group (2009)

%... set global variables
     global mu Phi proj_op
     global x0 xL n Lapl_op Grad_op BM inv_MM G

% Recovery the field
z	= Phi*m;

%...
%... boundary conditions at z = 0
     zin    = burgers_exact(x0,t);
     G(1)   = BM(1,1)*(z(1) - zin);
%...
%... boundary conditions at z = zL
     zout   = burgers_exact(xL,t);
     G(n)   = BM(n,n)*(z(n) - zout);
% Projection of BC
     GG     = -Phi'*G;

%...
%... second-order spatial derivative
%...    
     zxx    = Lapl_op*z;
     pzxx   = proj_op*zxx;
     
%...
%... first-order spatial derivative
     fx     = Grad_op*(0.5*z.^2);
     pfx    = proj_op*fx;
%...
%... temporal derivatives
%...
     mt =  - pfx + mu*pzxx + GG;