function dm = ode_ex2_LSD(t, m, Sp_oper, proj_op, Phi)

% The MatMol Group (2009)

% Recovery the transformed field
z_bar   = Phi*m;

% Recovery the original field
z_trans = 100*sin(7*t) + 50;
z       = z_bar + z_trans;

% Derivative of the z transform with respect the time
dztr_dt	= 700*cos(7*t);
        

% Nonlinear term
f = z - z.^3 - dztr_dt;    % Note that this term is not multiplied by inv_MM
f = proj_op*f;             % Projection of the nonlinear function

% ODE construction
dm	= Sp_oper*m + f;

