function dm = ode_ex2_POD(t, m, Sp_oper, G, proj_op, v, Phi)

% The MatMol Group (2009)

% Recovery the original field
z	= Phi*m;

% Boundary conditions
zin     = 100*sin(7*t) + 50;	% Inlet concentration
G(1)	= v*zin;                % Boundary condition in the first point
GG      = Phi'*G;            % Projection of the BC

% Nonlinear term
f = z - z.^3;		% Note that this term is not multiplied by inv_MM
f = proj_op*f;		% Projection of the nonlinear function

% ODE construction
dm	= Sp_oper*m + f + GG;

